# solvespace

A parametric 3d CAD program. Applications include:
modeling 3d parts — draw with extrudes, revolves, and Boolean (union / difference) operations
modeling 2d parts — draw the part as a single section, and export DXF, PDF, SVG; use 3d assembly to verify fit
3d-printed parts — export the STL or other triangle mesh expected by most 3d printers
preparing CAM data — export 2d vector art for a waterjet machine or laser cutter; or generate STEP or STL, for import into third-party CAM software for machining
mechanism design — use the constraint solver to simulate planar or spatial linkages, with pin, ball, or slide joints
plane and solid geometry — replace hand-solved trigonometry and spreadsheets with a live dimensioned drawing

